pushd %~dp0
@ECHO OFF
SET  APP_NAME= Intel DPTF Driver
SET  SILENT_CMD= pnputil -a "%~dp0DPTF\*.inf" -i 
SET  RETURN_CODE=
SET  APP_LOG=C:\Windows\logs\DPTF.log
IF NOT EXIST C:\Windows\logs\ MD C:\Windows\logs\
REM ===================================
ECHO [%TIME%] == The Installation of %APP_NAME%== >> %APP_LOG%


:ChkREG1
:: Check Registry first
reg query "HKLM\SYSTEM\CurrentControlSet\Control\Power\PowerSettings\48df9d60-4f68-11dc-8314-0800200c9a66" >> %APP_LOG%
if /i not %errorlevel%==0 goto :Ins_Drv
reg delete "HKLM\SYSTEM\CurrentControlSet\Control\Power\PowerSettings\48df9d60-4f68-11dc-8314-0800200c9a66" /f >> %APP_LOG%
timeout /t 5 /nobreak

:Ins_Drv
REM Run Silent Install Command:
CALL %SILENT_CMD%
ECHO Errorlevel=%Errorlevel% >> %APP_LOG%

REM add register
reg add "HKLM\SYSTEM\CurrentControlSet\Control\Power\PowerSettings\48df9d60-4f68-11dc-8314-0800200c9a66" /v "Attributes" /t REG_DWORD /d 1

REM Filter Acceptable Return Codes:
FOR %%i in (0,3010) DO (
	IF %Errorlevel% == %%~i set RETURN_CODE=0
)
SET RETURN_CODE=%errorlevel%

:END
SET errorlevel=%RETURN_CODE%
@ECHO ON
EXIT